Customizing the input
When initializing the Select component on a native select element, by default that element will be hidden and an input element is rendered that will hold the selection text. Also this input element gets the focus and click handlers that will open the picker.
<select id="my-select">
<option value="lon">London</option>
<option value="ber">Berlin</option>
<option value="par">Paris</option>
</select>
$('#my-select').mobiscroll().select({ theme: 'ios' });
You can use any custom input with the select component using the inputElement option. Passing another element to it, the default input won't be rendered. The passed element will get the event handlers to open the picker, and also the selected value's text will be written to it as well. This option will only work with the directive version of the component.
<input id="my-custom-input" placeholder="Click to select..." />
<select id="my-select">
<option value="lon">London</option>
<option value="ber">Berlin</option>
<option value="par">Paris</option>
</select>
$('#my-select').mobiscroll().select({
inputElement: document.getElementById('my-custom-input'),
theme: 'ios',
});

Skip to main content
Version: 5.35.0

Customizing the input

By default the Mobsicroll Select component renders a Mobiscroll Input component. To customize this Input component, you can pass props to it using the inputProps option. Or you can change the rendered component using the inputComponent option.

<script setup>
import { MbscSelect, MbscInput } from '@mobiscroll/vue';

const inputPrs = {
theme: "ios",
label: "Select City",
labelStyle: "stacked",
inputStyle: "box",
placeholder: "Click to select",
};
</script>

<template>
<MbscSelect
:inputComponent="MbscInput"
:inputProps="inputPrs"
/>
</template>